Package ru.bitel.bgbilling.plugins.edo.common.service

# Interface EdoService

public interface EdoService
Действия над эдо, НЕ связанные с модулем bill, documents, общие, взаимодействия с системами эдо итд.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContragentSearchInfo`
  `fillContragentSearchInfo(int contractId)`
  Предзаполнение формы поиска контрагента по ид договора, берёт из нужных мест параметры контрагента по которым потом можно поискать контрагента/его_идентификаторы.
  `String`
  `getContractEdoConfig(int contractId)`
  Получение edo-конфига для договора
  `GetEdoIdSettings`
  `getContractEdoIdSettings(int contractId, boolean noDefInvalidate)`
  Получение GetEdoIdSettings-конфига для договора.
  `void`
  `saveContractEdoConfig(int contractId, String config)`
  Сохранение edo-конфига для договора
  `void`
  `saveContractEdoIdSettings(int contractId, GetEdoIdSettings settings)`
  Сохранение GetEdoIdSettings-конфига для договора
  `ContragentInfos`
  `sbisSearchContragent(ContragentSearchInfo searchInfo)`
  Поиск инфы контрагента через внешний сервис.

- ## Method Details

  - ### sbisSearchContragent

    ContragentInfos sbisSearchContragent(ContragentSearchInfo searchInfo) throws ru.bitel.bgbilling.common.BGException
    Поиск инфы контрагента через внешний сервис.
    Parameters:
      `searchInfo` - заполненные параметры для поиска.
    Returns:
      инфа контрагента, со всеми эдо-ид.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### fillContragentSearchInfo

    ContragentSearchInfo fillContragentSearchInfo(int contractId) throws ru.bitel.bgbilling.common.BGException
    Предзаполнение формы поиска контрагента по ид договора, берёт из нужных мест параметры контрагента по которым потом можно поискать контрагента/его_идентификаторы.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractEdoConfig

    String getContractEdoConfig(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение edo-конфига для договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveContractEdoConfig

    void saveContractEdoConfig(int contractId, String config) throws ru.bitel.bgbilling.common.BGException
    Сохранение edo-конфига для договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractEdoIdSettings

    GetEdoIdSettings getContractEdoIdSettings(int contractId, boolean noDefInvalidate) throws ru.bitel.bgbilling.common.BGException
    Получение GetEdoIdSettings-конфига для договора.
    Parameters:
      `noDefInvalidate` - (не)нужно ли инвалидировать/получать info для DEFAULT режима. Для отображения настроек не нужно (true) - туда может и null прийти, не используется напрямую. А для диалога отправки там требуется обязательно инфо, нужно проверять и актуализировать еслечо (false). Это оптимизация относительно тяжёлой части, потенциально включающей отбращения к сторонним системам итд.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveContractEdoIdSettings

    void saveContractEdoIdSettings(int contractId, GetEdoIdSettings settings) throws ru.bitel.bgbilling.common.BGException
    Сохранение GetEdoIdSettings-конфига для договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`